Your submission was sent successfully! Close

CVE-2016-7952

Published: 13 December 2016

X.org libXtst before 1.2.3 allows remote X servers to cause a denial of service (infinite loop) via a reply in the (1) XRecordStartOfData, (2) XRecordEndOfData, or (3) XRecordClientDied category without a client sequence and with attached data.

Priority

Low

CVSS 3 base score: 7.5

Status

Package Release Status
libxtst
Launchpad, Ubuntu, Debian
Upstream
Released (2:1.2.2-1+deb8u1, 1.2.3)
Ubuntu 21.10 (Impish Indri)
Released (2:1.2.3-1)
Ubuntu 21.04 (Hirsute Hippo)
Released (2:1.2.3-1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (2:1.2.3-1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (2:1.2.3-1)
Ubuntu 16.04 ESM (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needed)
Patches:
Upstream: https://cgit.freedesktop.org/xorg/lib/libXtst/commit/?id=9556ad67af3129ec4a7a4f4b54a0d59701beeae3